Skip to main content
GET
/
agencies
Agencies
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/agencies?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "logoUrl": "<string>",
      "location": "<string>",
      "email": "<string>",
      "country": {
        "slug": "<string>",
        "name": "<string>",
        "iso_3166_1_alpha_2": "<string>",
        "flagUrl": {
          "small": "<string>",
          "medium": "<string>"
        },
        "eliteprospectsUrlPath": "<string>",
        "updatedAt": "<string>",
        "_links": [
          "<string>"
        ]
      },
      "secondaryCountry": {
        "slug": "<string>",
        "name": "<string>",
        "iso_3166_1_alpha_2": "<string>",
        "flagUrl": {
          "small": "<string>",
          "medium": "<string>"
        },
        "eliteprospectsUrlPath": "<string>",
        "updatedAt": "<string>",
        "_links": [
          "<string>"
        ]
      },
      "verified": true,
      "info": "<string>",
      "numberOfClients": 123,
      "agents": [
        "<string>"
      ],
      "eliteprospectsUrlPath": "<string>",
      "links": {
        "webUrl": "<string>",
        "facebook": "<string>",
        "x": "<string>",
        "twitter": "<string>",
        "instagram": "<string>"
      },
      "updatedAt": "<string>",
      "_links": [
        "<string>"
      ]
    }
  ]
}

Authorizations

apiKey
string
query
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, name, logoUrl, location, email, country, secondaryCountry, verified, info, numberOfClients, agents, eliteprospectsUrlPath, links, updatedAt, _links

Available options:
id,
name,
logoUrl,
location,
email,
country,
secondaryCountry,
verified,
info,
numberOfClients,
agents,
eliteprospectsUrlPath,
links,
updatedAt,
_links,
country.*,
secondaryCountry.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
name,
-name,
country,
-country,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

name
string

Filter by name

country
string

Filter by country slug in ISO 3166-1 alpha-3

verified
boolean

Filter by verified

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of agencies.

_meta
object
data
object[]